## gnulib 20250102

=== debian/changelog ===
gnulib (20250102-1) unstable; urgency=medium

  * New upstream (branch stable-202501 master
    68fedd78b5510236a372f7386769a6011494aa0e).
  * debian/tests/test-dh-gnulib-patch: Update hashsum for testing.
  * debian/patches/02-shebang.patch: Dropped, fixed upstream.
  * debian/copyright: Minor updates.
  * debian/: Apply "wrap-and-sort -abskt".

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Jan 2025 20:14:35 -0500
