=== debian/control ===
Source: gnulib
Section: devel
Priority: optional
Maintainer: Simon Josefsson <simon@josefsson.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 bison <!nocheck>,
 gettext (>= 0.20~) <!nocheck>,
 gperf <!nocheck>,
 perl,
Build-Depends-Indep:
 texinfo,
Standards-Version: 4.7.0
Homepage: https://www.gnu.org/software/gnulib/
Vcs-Git: https://salsa.debian.org/debian/gnulib.git -b debian/sid
Vcs-Browser: https://salsa.debian.org/debian/gnulib
Rules-Requires-Root: no

Package: git-merge-changelog
Section: vcs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: git merge driver for GNU ChangeLog files
 ChangeLog files *always* foul up most version control systems in
 their default configuration.
 .
 git-merge-changelog is a tool from gnulib designed to help with this
 for the case of GNU-style ChangeLogs; it can be used with at least
 git, bzr, and hg.

Package: gnulib
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 autoconf,
 automake,
 autopoint,
 bison,
 build-essential,
 gettext (>= 0.20~),
 gperf,
 libtool,
 m4,
 texinfo,
Suggests:
 clisp,
 git,
 perl,
 python3:any,
Description: GNU Portability Library
 The GNU portability library is a macro system and C declarations and
 definitions for commonly-used API elements and abstracted system behaviors. It
 can be used to improve portability and other functionality in your programs.
