=== debian/changelog ===
gnulib (20250303-3) unstable; urgency=medium

  * Upload to unstable.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 16 Aug 2025 14:41:27 +0200

gnulib (20250303-2) experimental; urgency=medium

  * Fix git-merge-changelog.  Closes: #1110119.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 02 Aug 2025 13:45:49 +0200

gnulib (20250303-1) unstable; urgency=medium

  * New upstream (branch stable-202501 master
    ac9dd0041307b1d3a68d26bf73567aa61222df54).
  * Update README.source.
  * Improve git-merge-changelog(1).  Closes: #752135.
  * Standards-Version: 4.7.2.
  * Use predictable timestamp for gnulib.info, fixing reproducibility.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 08 Mar 2025 22:42:28 +0100
