=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  perl,
 Build-Depends-Indep:
  texinfo,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.gnu.org/software/gnulib/
 Vcs-Git: https://salsa.debian.org/debian/gnulib.git -b debian/sid
 Vcs-Browser: https://salsa.debian.org/debian/gnulib
