=== debian/tests/control ===
Tests:
 test-dh-gnulib-patch,
Depends:
 git,
 gnulib,
