## gnulib 20251215

=== debian/changelog ===
gnulib (20251215-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Fri, 19 Dec 2025 22:13:32 -0500

gnulib (20251215-1~exp1) experimental; urgency=medium

  * New upstream (branch stable-202507 master
    70afd5780b7ca6621faafab43bb5c5a8403a1eb3).
  * d/t/test-dh-gnulib-patch: Update branch and master branch revisions.
  * debian/patches: Drop the patch merged upstream.
  * debian/control: Drop Rules-Requires-Root: no, not needed.

 -- Boyuan Yang <byang@debian.org>  Thu, 18 Dec 2025 06:51:32 -0500
