=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
 Homepage: https://www.gnu.org/software/gnulib/
 Vcs-Git: https://salsa.debian.org/debian/gnulib.git -b debian/sid
 Vcs-Browser: https://salsa.debian.org/debian/gnulib
-Rules-Requires-Root: no
 
 Package: git-merge-changelog
 Section: vcs
