=== debian/changelog ===
gnulib (20260109-1~exp1) unstable; urgency=medium

  * New upstream (branch stable-202601 master
    2961ed7a687c11aebdf5951d5267dec85d9e59cb).
  * Standards-Version: 4.7.3
  * Drop Priority: optional
  * Drop git-merge-changelog
    - https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1124418
  * Bump debian/* copyright years
  * Drop Vcs-Git -b suffix
  * Simplify Build-Depends
  * Modernize Salsa CI
  * Re-enable pristine-tar in gbp.conf
  * Rewrite debian/README.source

 -- Simon Josefsson <simon@josefsson.org>  Fri, 09 Jan 2026 14:49:59 +0100
