=== debian/control ===
Source: gnulib
Section: devel
Maintainer: Simon Josefsson <simon@josefsson.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Indep:
 texinfo,
Standards-Version: 4.7.3
Homepage: https://www.gnu.org/software/gnulib/
Vcs-Git: https://salsa.debian.org/debian/gnulib.git
Vcs-Browser: https://salsa.debian.org/debian/gnulib

Package: gnulib
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 autoconf,
 automake,
 autopoint,
 bison,
 build-essential,
 gettext (>= 0.20~),
 gperf,
 libtool,
 m4,
 texinfo,
Suggests:
 clisp,
 git,
 perl,
 python3:any,
Description: GNU Portability Library
 The GNU portability library is a macro system and C declarations and
 definitions for commonly-used API elements and abstracted system behaviors. It
 can be used to improve portability and other functionality in your programs.
 .
 The 'git-merge-changelog' tool used to be provided by the gnulib source
 package.  For the 20260109-1 release the tool was removed from upstream
 git project, to be packaged separately in Debian.
