=== debian/rules ===
--- 
+++ 
@@ -22,24 +22,10 @@
 
 execute_before_dh_auto_clean:
 	$(MAKE) -C doc clean
-	-rm -rf debian/git-merge-changelog.src
-	-rm -f debian/git-merge-changelog.1
-
-override_dh_auto_configure-arch:
-	./gnulib-tool --create-testdir --with-tests -S \
-		--dir=debian/git-merge-changelog.src git-merge-changelog
-	dh_auto_configure --sourcedir debian/git-merge-changelog.src
 
 override_dh_auto_build-indep:
 	$(MAKE) -C doc info NEWEST_GNULIB_TEXI_FILE=../debian/copyright
 	$(MAKE) -C doc html NEWEST_GNULIB_TEXI_FILE=../debian/copyright
-
-override_dh_auto_build-arch:
-	dh_auto_build --sourcedir debian/git-merge-changelog.src
-	pod2man --section=1 --center "Gnulib" --release $(DEB_VERSION) debian/git-merge-changelog.pod debian/git-merge-changelog.1
-
-override_dh_auto_install-arch:
-	dh_auto_install --sourcedir=debian/git-merge-changelog.src --destdir=debian/git-merge-changelog
 
 override_dh_auto_install-indep:
 	mkdir -p debian/gnulib/usr/bin
@@ -91,6 +77,3 @@
 	    ./gnulib-tool --test $$GNULIB_MODULE_LIST 2>&1 ; \
 	)
 endif
-
-# Do not run tests for binary targets.
-override_dh_auto_test-arch:
