=== debian/watch ===
Version: 5
Source: https://ftp.gnu.org/gnu/gnulib/
Matching-Pattern: gnulib-@ANY_VERSION@.bundle
Pgpsigurlmangle: s/$/.sig/
